angular.module('tamkEvents').controller('MapCtrl',
    function ($scope, $rootScope, $ionicLoading, $ionicPlatform) {

        $scope.$on("modal.shown", function () {
            /*            var div = document.getElementById("map");
             $scope.map = plugin.google.maps.Map.getMap(div);
             $scope.map.addEventListener(plugin.google.maps.event.MAP_READY, onMapReady);*/

            if ($scope.locationType.latitude) {
                var map = new google.maps.Map(document.getElementById('map'), {
                    center: {
                        lat: $scope.locationType.latitude,
                        lng: $scope.locationType.longitude
                    },
                    zoom: 15,
                    mapTypeId: 'roadmap',
                    streetViewControl: false,
                    zoomControl: false,
                    mapTypeControl: false,
                    fullscreenControl: true
                });

                new google.maps.Marker({
                    position: {
                        lat: $scope.locationType.latitude,
                        lng: $scope.locationType.longitude
                    },
                    map: map
                });

                google.maps.event.trigger(map, 'resize');
            }
        });

        /*   function onMapReady() {
         plugin.google.maps.event.trigger($scope.map, 'resize');
         $scope.map.removeEventListener(plugin.google.maps.event.MAP_READY);

         // Adds a marker to event's location.
         $scope.map.addMarker({
         position: {lat: latitude, lng: longitude}
         });

         // Moves camera on the map to phone's location and zoom's the map a bit
         $scope.map.moveCamera({
         target: {lat: latitude, lng: longitude},
         zoom: 13
         })
         }

         //  Android:
         //  AIzaSyDQi6B5T1ybIri2a67hFSWVgwBb5V1EsXY

         //  Ios:
         //  AIzaSyDZzTcj64XMD0uSIt7UBa2TMLKvIfB2l5g

         // cordova plugin add cordova-plugin-googlemaps --variable API_KEY_FOR_ANDROID="AIzaSyDQi6B5T1ybIri2a67hFSWVgwBb5V1EsXY" --variable API_KEY_FOR_IOS="AIzaSyDZzTcj64XMD0uSIt7UBa2TMLKvIfB2l5g"
         */
    });