(function () {
    "use strict";

    var app = angular.module('tamkEvents');

    app.factory("UserService", ["$rootScope", "$resource", "$translate",
        function ($rootScope, $resource, $translate) {
            return {
                getTags: function (callback) {
                    var searchString = "http://tamkevents.com/api/public/tags/" +
                        "?key=:key&language=:language";
                    var result = $resource(searchString);

                    var root = result.get({
                        key: "paprika",
                        language: $translate.proposedLanguage()
                    }, function () {
                        callback(null, root.result);
                    }, function (err) {
                        $rootScope.$broadcast("http-error", err);
                        callback(err);
                    });
                }
            };
        }]);
}());